#
# Copyright 2005 Free Software Foundation, Inc.
# 
# This file is part of GNU Radio
# 
# GNU Radio is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
# 
# GNU Radio is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with GNU Radio; see the file COPYING.  If not, write to
# the Free Software Foundation, Inc., 59 Temple Place - Suite 330,
# Boston, MA 02111-1307, USA.
# 

from sys import version_info as _version_info

# import patched version of standard threading module

if _version_info[0:2] == (2, 3):
    #print "Importing gr_threading_23"
    from gr_threading_23 import *
elif _version_info[0:2] == (2, 4):
    #print "Importing gr_threading_24"
    from gr_threading_24 import *
else:
    # assume the patch was applied...
    #print "Importing system provided threading"
    from threading import *
